import pyotp
import base64

class otp_utils:

    def __init__(self,secret):
        self.otp_checker = pyotp.TOTP(base64.b32encode(secret.encode('utf-8')), interval=60, digits=6)
    def check(self,totp):
        return self.otp_checker.verify(totp);
    def generate(self):
        return self.otp_checker.now() 
